.x-component img {
    width: auto !important;
    max-height: 100% !important;
}

.x-component.ImageModal img {
    width: 100% !important;
    max-height: 100% !important;
}

.em_pagination {}

.em_pagination .x-autocontainer-innerCt {
    display: flex;
    height: 100% !important;
    align-items: center;
    justify-content: flex-start;
}

.em_pagination .x-autocontainer-outerCt .x-autocontainer-innerCt .x-container {
    position: relative !important;
    top: initial !important;
    left: initial !important;
}

.em_pagination .x-autocontainer-outerCt .x-autocontainer-innerCt .x-container .x-autocontainer-outerCt .x-autocontainer-innerCt {
    padding: 5px !important;
    justify-content: flex-start;
}

.em_pagination .x-autocontainer-outerCt .x-autocontainer-innerCt .x-container .x-autocontainer-outerCt .x-autocontainer-innerCt > * {
    position: relative !important;
    height: 30px !important;
    top: initial !important;
    left: initial !important;
    margin: 0 5px;
    padding: 0px;
    display: flex;
    align-items: center;
}

.em_pagination .x-autocontainer-outerCt .x-autocontainer-innerCt .x-container .x-autocontainer-outerCt .x-autocontainer-innerCt .x-component b {
    font-weight: 800;
    margin: 0 5px;
}

.em_pagination .x-autocontainer-outerCt .x-autocontainer-innerCt .x-container .x-autocontainer-outerCt .x-autocontainer-innerCt > * .x-form-text-field-body-default {
    min-width: 50px !important;
}

.btn_close {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 25px !important;
    height: 25px !important;
    border-radius: 50%;
    background-color: #FF0000;
}

.btn_close i {
    color: #FFF;
    font-size: 20px;
}


.x-treelist-item-wrap {
    display: flex;
    cursor: pointer;
    align-items: center;
}

.x-treelist-nav .x-treelist-row-over::before {
    background-color: #f17318 !important;
}

.x-treelist-item-icon {
    position: relative !important;
    margin-left: 15px;
}

.x-treelist-item-text {
    line-height: 38px !important;
    padding-top: 5px;
}

.x-message-box {
    z-index: 99999 !important;
}

.inputValorProd {
    opacity: 1 !important;
}

.inputValorProd .x-form-text-default {
    background-color: #cfcfcf !important;
}

.inputValorProd .x-form-trigger-wrap-default {
    border-color: #cfcfcf !important;
}

.TitleModal.x-container {
    width: 100% !important;
}

.TitleModal.x-container .x-autocontainer-innerCt {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.TitleModal.x-container .x-autocontainer-innerCt .btn_close {
    position: relative !important;
    top: initial !important;
    left: initial !important;
    margin-right: 15px;
    margin-top: 6px;
}

.btnGrid {
    margin: 0px 5px;
}

.success,
.edit,
.delete {
    transition: all 0.5s ease;
}

.success:hover {
    color: #25ed22;
    text-shadow: 1px 1px 5px #25ed22;
    transition: all 0.5s ease;
}

.edit:hover {
    color: #ed9222;
    text-shadow: 1px 1px 5px #ed9222;
    transition: all 0.5s ease;
}

.delete:hover {
    color: #bf464b;
    text-shadow: 1px 1px 5px #bf464b;
    transition: all 0.5s ease;
}